Create sub-task
curl --request POST \
--url https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"dueDate": "2023-12-25",
"assigneeUserIds": [
"<string>"
],
"tags": [
"<string>"
]
}
'import requests
url = "https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks"
payload = {
"title": "<string>",
"description": "<string>",
"dueDate": "2023-12-25",
"assigneeUserIds": ["<string>"],
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
dueDate: '2023-12-25',
assigneeUserIds: ['<string>'],
tags: ['<string>']
})
};
fetch('https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'dueDate' => '2023-12-25',
'assigneeUserIds' => [
'<string>'
],
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"assigneeUserIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"assigneeUserIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"assigneeUserIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"taskId": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}Sub-tasks
Create sub-task
Add a checklist item to a task.
POST
/
tasks
/
{taskId}
/
subtasks
Create sub-task
curl --request POST \
--url https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"dueDate": "2023-12-25",
"assigneeUserIds": [
"<string>"
],
"tags": [
"<string>"
]
}
'import requests
url = "https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks"
payload = {
"title": "<string>",
"description": "<string>",
"dueDate": "2023-12-25",
"assigneeUserIds": ["<string>"],
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
dueDate: '2023-12-25',
assigneeUserIds: ['<string>'],
tags: ['<string>']
})
};
fetch('https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'dueDate' => '2023-12-25',
'assigneeUserIds' => [
'<string>'
],
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"assigneeUserIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"assigneeUserIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whirl.sh/api/v1/tasks/{taskId}/subtasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"assigneeUserIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"taskId": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}Authorizations
Scopes
Path Parameters
Body
application/json
ISO date (2026-10-01) or date-time with offset (2026-10-01T09:00:00+02:00); null clears it.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
